package com.bocloud.ims.interfaces.resource.azure.automation;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.automation.DeploymentPlan;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: DeploymentService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/8/11 18:09
 */
public interface DeploymentService {

    BocloudResult<GridBean<DeploymentPlan>> list(Pager pager, RequestContext context);

    BocloudResult<DeploymentPlan> detail(Long id, RequestContext context);

    BocloudResult<Void> modify(DeploymentPlan entityParams, RequestContext context);

    BocloudResult<Void> create(DeploymentPlan entityParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

    //星巴克poc专用---------------------------------
    BocloudResult listDeploymentPlan(String params);

    BocloudResult createDeploymentPlan(String params);

    BocloudResult deploymentAutomationAccount(String params);

    BocloudResult removeDeploymentPlan(String params);

    BocloudResult softwareUpdateConfigurationRuns(String params);

}